<template lang="pug">

mixin Param
  Param.col-12.col-sm-5.col-lg-2&attributes(attributes)

mixin ParamReadonly
  ParamReadonly.col-12.col-sm-5.col-lg-2&attributes(attributes)

.col.pb-3
  Card(tabIndex="-1").highlightOnFocus
    template(v-slot:header)
      .d-flex.justify-content-between
        div #[h5 RawFileMerger]
        .ml-auto.clickable(v-if='!isDnsEmpty && !inEdit'
                           @click='setEdit(true)')
          kbd.keyHint.mr-2(v-if="showKeyHints") E
          i.fa.fa-cog
        .ml-auto.clickable(v-if='!isDnsEmpty && inEdit'
                           @click='setEdit(false)')
          kbd.keyHint.mr-2(v-if="showKeyHints") Esc
          i.fa.fa-times
    li.x-rfm-state(key="0")
      .row.align-items-center
        .col-12.col-sm-12.col-lg-4
          strong State
          State(ref="rfmState" @error="handleError" @state-change="onRFMergerStateChange"
            :primaryStyle='stateClass' service="MERGER/State"
            :dns='dns' :dnsUrl="dnsUrl(dns)" :proxy="getProxy()" defaultString='Please select a server...')
    li.x-rfm-current(key="1" v-show="!isDnsEmpty && currentRunNumber")
      .row
        .col-auto
          strong #[i.fa.fa-running] Current Run
      .row.ml-1
        RFMergerRuns(ref="rfmCurrentRun" :inEdit="inEdit" :fromCurrentRun="true" @current-run="updateCurrentRun($event)")
    li.x-rfm-runs(key="2" v-if="!isDnsEmpty")
      Collapsible(:expand='false')
        template(v-slot:header)
          .row
            .col-12
              strong #[i.fa.fa-history] Runs
        template(v-slot:default='c')
          AnimBlock(anim="delay" :appear='false' mode='' :options='{ outDelay: 0.3 }')
            RFMergerRuns(v-if='c.isExpanded' ref="rfmRuns" :inEdit="inEdit")
    li.x-rfm-stats(key="3" v-if="!isDnsEmpty")
      RFMergerGlobalStats.mt-2(ref="rfmInfo" :inEdit="inEdit" @stats-updated="updateStats($event)")
    template(v-slot:footer v-if='showFooter')
      .row
        .col-12.col-md-6
          div(v-if="currentRunNumber") #[strong Current Run Number:] {{ currentRunNumber }}
        .col-12.col-md-3
          div #[strong Total Transferred:] {{ globalTransferred | b-byteSize }}
        .col-12.col-md-3
          div #[strong Total Rate:] {{ globalRate | b-byteSize }}
</template>
<script>
export { default } from './RFMerger.vue.js';
</script>
